{
  "format_version": "1.20.80",
  "minecraft:block": {
    "description": {
      "identifier": "bedrockium:bedrock_block",
      "states": {
        "bedrockium:mineable": [false, true]
      }
    },
    "components": {
      "tag:minecraft:is_pickaxe_item_destructible": {},
      "tag:minecraft:stone": {},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 1000
			},
      "minecraft:material_instances": {
        "*": {
          "texture": "bedrockium_bedrock_block",
          "render_method": "alpha_test"
        }
      },
      "minecraft:display_name": "%bedrockium.bedrock_block.name\n§3§oBedrockium§r",
      "minecraft:geometry": "geometry.default_block"
    },
    "permutations": [
      {
        "condition": "query.block_state('bedrockium:mineable') == true",
        "components": {
          "minecraft:destructible_by_mining": {
            "seconds_to_destroy": 10.0
          }
        }
      },
      {
        "condition": "query.block_state('bedrockium:mineable') == false",
        "components": {
          "minecraft:destructible_by_mining": {
            "seconds_to_destroy": 999999.0
          }
        }
      }
    ]
  }
}
